Subject: RE: What is the minimum needed to run gtar?
From: "Biederman, Steve" <[email-masked]>
To: "'Larry Hall '" <[email-masked]>
Cc: "[email-masked]' '" <[email-masked]>
Date: Wed, 6 Aug 2003 10:55:20 -0700

Attached is a gzipped strace from the failing machine. 
The strace stops at that point; no further output, 
though tar continues to consume CPU time. 

-----Original Message-----
From: Larry Hall
To: Biederman, Steve
Cc: [email-masked]'
Sent: 8/6/2003 10:27 AM
Subject: Re: What is the minimum needed to run gtar?

Oh, OK.  I didn't know that this was a restatement of that problem
(<http://cygwin.com/ml/cygwin/2003-07/msg00932.html>).  Did you try
running tar on the affected systems with strace?  Perhaps a comparison
of the output from a machine where it's failing and the same from one
that doesn't would provide some insight.

Larry

Biederman, Steve wrote:

> For a good, concise example and test case, go back to the problem I
posted on 7/16, 
> titled "tar 1.13.25 runs forever and produces nothing on this test
case".
> 
> That behavior is seen on a bare Windows machine with no Cygwin
installed
> but for tar 1.13.25 and cygwin1.dll.  
> 
> When I installed a Cygwin build environment in order to debug the
problem,
> the problem disappeared.  But its easily reproduced on a bare Windows
machine.
> 
> 
> 
> -----Original Message-----
> From: Larry Hall [mailto:[email-masked]]
> Sent: Tuesday, August 05, 2003 8:54 PM
> To: Biederman, Steve
> Cc: [email-masked]'
> Subject: Re: What is the minimum needed to run gtar?
> 
> 
> Biederman, Steve wrote:
> 
> 
>>I want to allow the users I support to be able to run Cygwin tar on
their Windows machines.
>>These machines have not had any Cygwin installed; they're just bare
Windows machines.
>>
>>I provided them tar.exe and cygwin1.dll and assumed that with these,
they could run
>>Cygwin tar sucessfully.  It appears that that isn't the case: machines
without Cygwin 
>>installed see different behavior than machines which have it
installed.  (Running tar
>>on machines without Cygwin installed creates incorrect tar archives.)
>>
>>What is the minimum I need to provide to a non-Cygwin Windows machine
to get
>>Cygwin tar to run reliably?
> 
> 
> 
> Dunno.  Perhaps you need to provide some data on what's wrong with the
> archives made and some specifics on what you're using (cygcheck output
> perhaps?) and an example of the problem.
> 
> 

#################################################################
#################################################################
#################################################################
#####
#####
#####
#################################################################
#################################################################
#################################################################

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/